package RVVote;
use Mojo::Base 'Mojolicious';

# This method will run once at server start
sub startup {
  my $self = shift;

  # Load configuration from hash returned by "my_app.conf"
  my $config = $self->plugin('Config');

  # Router
  my $r = $self->routes;

  # Normal route to controller
  $r->get('/')->to('RV#index');
  $r->get('/:election')->to('RV#index');
  $r->get('/api/members/')->to('RV#members');
  $r->post('/api/calculate/')->to('Evaluation#process');
}

1;
